<?php
/**
 * @Cscms 4.x open source management system
 * @copyright 2009-2015 chshcms.com. All rights reserved.
 * @Author:Cheng Jie
 * @Dtime:2014-08-21
 */

if (!defined('BASEPATH')) exit('No direct script access allowed');

/**
 * 手机短信类
 */
class Smstel {

    function __construct ()
	{
		   $this->appid   = CS_Sms_ID;  //商户ID
		   $this->appkey  = CS_Sms_Key;  //商户KEY
           $this->curl    = 'http://api.smsbao.com/';
	}

    //发送
	function add($tel,$neir){
		   $get='sms?u='.$this->appid;
		   $get.='&p='.md5($this->appkey);
		   $get.='&m='.trim($tel);
		   $get.='&c='.urlencode('【'.CS_Sms_Name.'】'.$neir);
           $url=$this->curl.$get;
		   $msg=htmlall($url);

		   if ($msg == 0) {
		   	$msg = $this->error(1);
		   }else{
		   	$msg = $this->error($msg);
		   }
		   return $msg;
    }

    //发送注册验证码
	function seadd($tel){

		   $tel_time=$_SESSION['tel_time'];
           if($tel_time && $tel_time+60>time()){
		       return 'addok'; //发送时间没有过60秒
		   }
		   $code=random_string('nozero',4);
		   $_SESSION['tel_code']=$code;
		   $_SESSION['tel_time']=time();		   

		   $neir='欢迎注册'.Web_Name.'，您的验证码是'.$code.'，请尽快完成验证。(如非本人操作，可不予理会)';
		   $get='sms?u='.$this->appid;
		   $get.='&p='.md5($this->appkey);
		   $get.='&m='.trim($tel);
		   $get.='&c='.urlencode('【'.CS_Sms_Name.'】'.$neir);
           $url=$this->curl.$get;
		   $msg=htmlall($url);

		   if ($msg == 0) {
		   	$msg = $this->error(1);
		   }else{
		   	$msg = $this->error($msg);
		   }

		   return $msg;
    }

    //查询余额
	function balance(){
		   $get='query?u='.$this->appid;
		   $get.='&p='.md5($this->appkey);
           $url=$this->curl.$get;
		   $rmbs=htmlall($url);
           $rmb = explode(',', $rmbs);
		   return get_bm($rmb[1]);
    }

    //查询记录
	function lists($len=12,$p=1){

		   $get='lists?uid='.$this->appid;
		   $get.='&key='.$this->appkey;
		   $get.='&len='.$len;
		   $get.='&p='.$p;
           $url=$this->curl.$get;
		   $str=htmlall($url);
		   return $str;
    }

    //错误提示
    function error($msg){
		    if(empty($msg)){
                 return L('curl_err');
			}
            return $msg;
	}
}


